-- -----------------------------------------------------------------------------

local ADDON_NAME, ns = ...
local L = ns.locales

ns.datas,ns.functions,ns.frames = {},{},{}

-- -----------------------------------------------------------------------------
-- INIT
-- -----------------------------------------------------------------------------

ns.datas.version    = GetAddOnMetadata(ADDON_NAME, "Version")
ns.datas.PRINT      = "|cffffffff::|r "
ns.datas.FOLDR      = "Interface\\AddOns\\WO_ezfriendslist\\"
ns.datas.FOLDRFF    = "Interface\\FriendsFrame\\"
ns.datas.FOLDRCF	= "Interface\\CHATFRAME\\UI-ChatIcon-"
ns.datas.DEBUG      = false
ns.datas.FAKE       = false
ns.datas.friendsAl  = {}

-- ns.datas.isAnchorTo = false
-- ns.datas.eInfo      = false
ns.datas.isOpen     = false
ns.datas.TXTUP      = "..."

ns.datas.maxlvl  = 60
ns.datas.playernme,ns.datas.playerrlm  = UnitFullName("player") or ''
ns.datas.guild, _, _ = GetGuildInfo("player") or ''
ns.datas.englishFaction, ns.datas.localizedFaction = UnitFactionGroup("player") or ''

ns.datas.play_name_maxwidth = 80

-- -----------------------------------------------------------------------------
-- VARIABLES
-- -----------------------------------------------------------------------------

WF_ez_DBC             = WF_ez_DBC               or {}
WF_ez_DBC.width       = WF_ez_DBC.width         or GetScreenWidth()*.3
WF_ez_DBC.grouphidden = WF_ez_DBC.grouphidden   or {}
WF_ez_DBC.search      = WF_ez_DBC.search        or ''
WF_ez_DBC.enable_offs = WF_ez_DBC.enable_offs   or false
WF_ez_DBC.onlyig_offs = WF_ez_DBC.onlyig_offs   or false
WF_ez_DBC.showguildie = WF_ez_DBC.showguildie   or true
WF_ez_DBC.dataobjpos  = WF_ez_DBC.dataobjpos    or { 90 }

WF_ez_DBC.UnlocalizedClasses = WF_ez_DBC.UnlocalizedClasses or {}

-- -----------------------------------------------------------------------------
-- EVENTS
-- -----------------------------------------------------------------------------

ns.datas.events = { "PLAYER_LOGIN",
                    "PLAYER_GUILD_UPDATE",
                    "GUILD_ROSTER_UPDATE",
                    "FRIENDLIST_UPDATE",
                    "BN_FRIEND_INFO_CHANGED",
                    "BN_FRIEND_ACCOUNT_ONLINE",
                    "BN_FRIEND_ACCOUNT_OFFLINE",
                    "FRIENDLIST_UPDATE" }

-- -----------------------------------------------------------------------------
-- TEXTE
-- -----------------------------------------------------------------------------

ns.datas.texte          = {}
ns.datas.texte.points   = "....................................................................................................................................."

-- -----------------------------------------------------------------------------
-- COLORS
-- -----------------------------------------------------------------------------

ns.datas.colors         = {}
ns.datas.colors.white   = 'ffffff'
ns.datas.colors.yellow  = 'ffbb00'
ns.datas.colors.red     = 'e60000'
ns.datas.colors.green   = '00ffb7'
ns.datas.colors.sgren   = '1ced6b'
ns.datas.colors.pink    = 'ff00e1'
ns.datas.colors.blue    = '00d5ff'
ns.datas.colors.magenta = 'c054ff'
ns.datas.colors.grey    = 'b8b8b8'

-- -----------------------------------------------------------------------------
-- GAMES
-- -----------------------------------------------------------------------------

ns.datas.gamename         	= {}
ns.datas.gamename.WOW 		= 'WoW'
ns.datas.gamename.WTCG 		= 'HS'
ns.datas.gamename.HEROES 	= 'HotS'
ns.datas.gamename.OVERWATCH = 'OW'
ns.datas.gamename.D2 		= 'D2'
ns.datas.gamename.D3 		= 'D3'
ns.datas.gamename.SC 		= 'SC'
ns.datas.gamename.SC2 		= 'SC2'
ns.datas.gamename.WC3 		= 'WC3'
ns.datas.gamename.ARCADE 	= 'AC'
ns.datas.gamename.CRASH4 	= 'CB4'
ns.datas.gamename.COD 		= 'BO4'
ns.datas.gamename.COD_MW 	= 'MW'
ns.datas.gamename.COD_MW2 	= 'MW2'
ns.datas.gamename.COD_BOCW 	= 'CW'
ns.datas.gamename.BSAp 		= 'Mobile'

-- -----------------------------------------------------------------------------
-- FONTS
-- -----------------------------------------------------------------------------

ns.datas.fonts = {}

local GameFontTTL = "GameFontNormal"      local _,GameFontTTL_Height,_ = GameFontNormal:GetFont()
local GameFontTXT = "GameFontNormalSmall" local _,GameFontTXT_Height,_ = GameFontNormalSmall:GetFont()

ns.datas.fonts.TTL_F  = GameFontTTL
ns.datas.fonts.TTL    = GameFontTTL_Height
ns.datas.fonts.TTL_02 = ns.datas.fonts.TTL* .2
ns.datas.fonts.TTL_05 = ns.datas.fonts.TTL* .5
ns.datas.fonts.TTL_07 = ns.datas.fonts.TTL* .7
ns.datas.fonts.TTL_12 = ns.datas.fonts.TTL*1.2
ns.datas.fonts.TTL_14 = ns.datas.fonts.TTL*1.4
ns.datas.fonts.TTL_18 = ns.datas.fonts.TTL*1.8
ns.datas.fonts.TTL_20 = ns.datas.fonts.TTL*2
ns.datas.fonts.TTL_22 = ns.datas.fonts.TTL*2.2

ns.datas.fonts.TXT_F  = GameFontTXT
ns.datas.fonts.TXT    = GameFontTXT_Height
ns.datas.fonts.TXT_02 = ns.datas.fonts.TXT* .2
ns.datas.fonts.TXT_05 = ns.datas.fonts.TXT* .5
ns.datas.fonts.TXT_07 = ns.datas.fonts.TXT* .7
ns.datas.fonts.TXT_12 = ns.datas.fonts.TXT*1.2
ns.datas.fonts.TXT_14 = ns.datas.fonts.TXT*1.4
ns.datas.fonts.TXT_18 = ns.datas.fonts.TXT*1.8
ns.datas.fonts.TXT_20 = ns.datas.fonts.TXT*2
ns.datas.fonts.TXT_22 = ns.datas.fonts.TXT*2.2

-- -----------------------------------------------------------------------------
-- SIZES
-- -----------------------------------------------------------------------------

ns.datas.sizes = {}

ns.datas.sizes.PANNEL        = WF_ez_DBC.width or GetScreenWidth()/3
ns.datas.sizes.MARGES        = ns.datas.fonts.TXT_07
ns.datas.sizes.MMARGS        = ns.datas.sizes.MARGES/2
ns.datas.sizes.MINWID        = 160

ns.datas.sizes.PANNELINFOS_H = ns.datas.fonts.TXT_22

-- -----------------------------------------------------------------------------

ns.datas.sizes.title_h       = ns.datas.fonts.TXT_14+ns.datas.sizes.MMARGS
ns.datas.sizes.lines_h       = ns.datas.fonts.TXT_18

-- -----------------------------------------------------------------------------